编译textmate的几点备忘

作者: 空气 分类: Mac & Mac OS X 发布时间: 2014-10-25 16:47 ė1800 6没有评论

textmate2在使用一段时间后,会弹出这样的提示,迫使你去官方更新:

TextMate is Outdated!
You can get a new version from https://macromates.com/download.

如图:

textmate-is-outdated

这种情况textmate根本打不开,有网的时候还好说,可以去github上下载新版本,没网的时候就只能干着急,所以着手重编译了一个版本。

编译前需要修改下这个文件:textmate/Applications/TextMate/src/AppController.mm

找到这行代码:

将其替换成如下代码:

这样就不会弹出烦人的过期提示了

附上编译方法:

如果编译中遇到类似如下的报错:

那么先执行以下命令:

ninja -t clean

再执行如下命令即可:

分享此文到:

本文出自 空气的时光记事本,非注明转载皆为原创,转载时请注明出处及相应链接。

本文永久链接: http://www.liujingze.com/fix-textmate-is-outdated-warning-and-some-tips-about-compile-textmate2.html

0

发表评论

电子邮件地址不会被公开。 必填项已用*标注

*